Auteur Sujet: Erreur suite à mise à niveau Xubuntu  (Lu 10587 fois)

0 Membres et 1 Invité sur ce sujet

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Erreur suite à mise à niveau Xubuntu
« le: août 03, 2016, 15:36:39 »
 :III hello,

J'avais pris ma journée pour faire la mise à niveau du PC de mes parents de Xubuntu 14.04 LTS vers la nouvelle LTS 16.04

z'aurez donc compris que tout ne s'est pas merveilleusement passé  ;D

Plusieurs erreurs lors de la mise à niveau.
Dans mon malheur, le système fonctionne toujours après redémarrage, donc ça va ... (je ne suis pas mauvaise langue, me je dirais que c'est mieux que sous windows  :BBB )

J'ai donc voulu vérifier ce qui était en erreur pour réparer/réinstaller, voilà ce que cela me sort :

Citer
gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-31-generic with 1.
dpkg: erreur de traitement du paquet initramfs-tools (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-extra-4.4.0-31-generic
 linux-image-generic
 linux-generic
 initramfs-tools

Je comprends pas comment il peut avoir manquer d'espace pour installer alors qu'il y a plus de 100 Go d'espace libre ...

J'ai vu qu'un rapport de bug existe pour cette erreur, elle m'a été affiché lors du signalement :

https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/798414
Pareil ils parlent de libérer de l'espace disque mais bon sang, j'en ai à revendre moi  :AAG

Donc, quelqu'un s'y connaît pour me guider afin de voir quoi faire ?

Comme je dis, le système semble néanmoins fonctionnel, mais j'aime pas trop rester avec ce type d'erreur majeur il me semble.

 :AAN

Security-X

Erreur suite à mise à niveau Xubuntu
« le: août 03, 2016, 15:36:39 »

Hors ligne xtrem47

  • TeamSX
  • Members
  • ***
  • Messages: 576
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #1 le: août 03, 2016, 15:45:01 »
Salut,

Tu as partitionné toi même à l'installation ?

Si oui, tu as créé une partition /boot séparé ? Possible qu'elle soit trop petite

Edit: j'ai vu trop tard que c'était une mise à niveau ;D Essaye de voir la taille de la /boot quand même et l'espace qu'il reste (df -H comme dans le lien que tu as donné)

 :AAC
« Modifié: août 03, 2016, 15:46:18 par xtrem47 »

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #2 le: août 03, 2016, 17:24:36 »
 :III Hello xtrem

J'ai rien partitionné, c'est une seule partition sauf erreur de ma part

Mais effectivement le dossier boot marque ça :
20,4 Mo libres sur 246,8 Mo (91% utilisés)

Alors qu'il est sur un disque avec de l'espace libre ...

Il se créé sa propre partition lui ?

Je supprime des trucs dedans pour faire de la place ? mais quoi ?  :NNN



Ouais d'accord mon cerveau Windows est pas formaté Linux  ;D

Citer

Disque /dev/sda : 149,1 GiB, 160041885696 octets, 312581808 secteurs
Unités : sectors of 1 * 512 = 512 octets
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x00086139

Périphérique Amorçage  Start       Fin  Secteurs   Size Id Type
/dev/sda1    *          2048    499711    497664   243M 83 Linux
/dev/sda2             501758 312580095 312078338 148,8G  5 Étendue
/dev/sda5             501760 312580095 312078336 148,8G 8e LVM Linux


Disque /dev/mapper/xubuntu--vg-root : 146,9 GiB, 157701636096 octets, 308011008 secteurs
Unités : sectors of 1 * 512 = 512 octets
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disque /dev/mapper/xubuntu--vg-swap_1 : 2 GiB, 2080374784 octets, 4063232 secteurs
Unités : sectors of 1 * 512 = 512 octets
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes

Quelle idée aussi de se partitionner comme ça sans se laisser assez de place  :BBB
« Modifié: août 03, 2016, 17:34:39 par hyunkel30 »

Hors ligne xtrem47

  • TeamSX
  • Members
  • ***
  • Messages: 576
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #3 le: août 03, 2016, 17:52:13 »
Re,

On dirait qu'ubuntu alloue une taille assez petite à cette partition et comme ils font souvent des mises à jours, sans nettoyer les restes, au bout d'un moment ça coince ^^ Après c'est peut être pas spécifique à ubuntu ce problème.

Sur le lien que tu as indiqué ils proposent de supprimer les anciens noyau qui ne sont plus utilisés (apt-get remove linux-version_à_supprimer, la version actuelle se récupère via uname -r)

Néanmoins des personnes y disent qu'un apt-get autoremove semble suffire parfois (supprime les dépendances qui ne sont plus utilisé, peut parfois poser problème même si ça m'est jamais arrivé personnellement).

Ensuite il faudrait relancer la mise à jour (update, upgrade, dist-upgrade).

 :AAC

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #4 le: août 03, 2016, 17:59:52 »
Allez, on teste ça ;)

je re ... ou pas si tout a planté  :BBB

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #5 le: août 03, 2016, 18:07:10 »
Re,

Il a bien fait du nettoyage, et a même directement relancé l'installation des paquets en erreur/attente ...

Mais même souci :

Citer
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  gcc-4.9-base gstreamer1.0-clutter libarchive-extract-perl
  libatk-wrapper-java libatk-wrapper-java-jni libavcodec54 libavformat54
  libavutil52 libbasicusageenvironment0 libboost-date-time1.54.0
  libboost-system1.54.0 libcdr-0.0-0 libcmis-0.4-4 libdvbpsi8 libgconf2-4
  libgif4 libgroupsock1 libicu52 libidl-2-0 libidl-common liblivemedia23
  libllvm3.4 liblog-message-perl liblog-message-simple-perl libmbim-glib0
  libmodule-pluggable-perl libmodule-runtime-perl libmspub-0.0-0
  libmysqlclient18 libmysqlclient20 libntdb1 libopenjpeg2 liborbit2
  liborcus-0.6-0 libparams-classify-perl libpod-latex-perl libpoppler44
  libpostproc52 libprocps3 libqmi-glib0 libqpdf13 libqt4-dbus
  libqt4-declarative libqt4-network libqt4-script libqt4-sql libqt4-sql-mysql
  libqt4-xml libqt4-xmlpatterns libqtcore4 libqtdbus4 libqtgui4
  libservlet3.0-java libswscale2 libtar0 libterm-ui-perl libtext-soundex-perl
  libts-0.0-0 libusageenvironment1 libvisio-0.0-0 libwebkit2gtk-3.0-25
  libx264-142 myspell-en-gb myspell-en-za mysql-common python-ibus python-ntdb
  qdbus qt-at-spi qtchooser qtcore4-l10n tsconf xfonts-mathml
0 mis à jour, 0 nouvellement installés, 73 à enlever et 0 non mis à jour.
4 partiellement installés ou enlevés.
Après cette opération, 202 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 308128 fichiers et répertoires déjà installés.)
Suppression de gcc-4.9-base:i386 (4.9.3-13ubuntu2) ...
Suppression de gstreamer1.0-clutter (2.0.18-1) ...
Suppression de libarchive-extract-perl (0.76-1) ...
Suppression de libatk-wrapper-java-jni:i386 (0.33.3-6) ...
Suppression de libatk-wrapper-java (0.33.3-6) ...
Suppression de libavformat54:i386 (6:9.18-0ubuntu0.14.04.1) ...
Suppression de libavcodec54:i386 (6:9.18-0ubuntu0.14.04.1) ...
Suppression de libswscale2:i386 (6:9.18-0ubuntu0.14.04.1) ...
Suppression de libavutil52:i386 (6:9.18-0ubuntu0.14.04.1) ...
Suppression de libbasicusageenvironment0 (2014.01.13-1) ...
Suppression de libcmis-0.4-4 (0.4.1-3ubuntu4) ...
Suppression de libboost-date-time1.54.0:i386 (1.54.0-4ubuntu3.1) ...
Suppression de liborcus-0.6-0 (0.5.1-7) ...
Suppression de libboost-system1.54.0:i386 (1.54.0-4ubuntu3.1) ...
Suppression de libcdr-0.0-0 (0.0.15-1ubuntu1) ...
Suppression de libdvbpsi8:i386 (1.0.0-3) ...
Suppression de libgconf2-4:i386 (3.2.6-3ubuntu6) ...
Suppression de libgif4:i386 (4.1.6-11) ...
Suppression de libgroupsock1 (2014.01.13-1) ...
Suppression de libmspub-0.0-0 (0.0.6-1ubuntu2) ...
Suppression de libvisio-0.0-0 (0.0.31-1ubuntu2) ...
Suppression de libicu52:i386 (52.1-3ubuntu0.4) ...
Suppression de liborbit2:i386 (1:2.14.19-1build1) ...
Suppression de libidl-2-0:i386 (0.8.14-4) ...
Suppression de libidl-common (0.8.14-0.2ubuntu4) ...
Suppression de liblivemedia23 (2014.01.13-1) ...
Suppression de libllvm3.4:i386 (1:3.4-1ubuntu3) ...
Suppression de libterm-ui-perl (0.46-1) ...
Suppression de liblog-message-simple-perl (0.10-2) ...
Suppression de liblog-message-perl (0.8-1) ...
Suppression de libmbim-glib0:i386 (1.6.0-2ubuntu0.1) ...
Suppression de libmodule-pluggable-perl (5.2-1) ...
Suppression de libmodule-runtime-perl (0.014-2) ...
Suppression de libmysqlclient18:i386 (5.5.50-0ubuntu0.14.04.1) ...
Suppression de libqt4-sql-mysql:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libmysqlclient20:i386 (5.7.13-0ubuntu0.16.04.2) ...
Suppression de python-ntdb (1.0-9) ...
Suppression de libntdb1:i386 (1.0-9) ...
Suppression de libopenjpeg2:i386 (1.3+dfsg-4.7ubuntu1) ...
Suppression de libparams-classify-perl (0.013-5build1) ...
Suppression de libpod-latex-perl (0.61-2) ...
Suppression de « détournement de /usr/bin/pod2latex en /usr/bin/pod2latex.bundled par libpod-latex-perl »
Suppression de « détournement de /usr/share/man/man1/pod2latex.1.gz en /usr/share/man/man1/pod2latex.bundled.1.gz par libpod-latex-perl »
Suppression de libpoppler44:i386 (0.24.5-2ubuntu4.4) ...
Suppression de libpostproc52 (6:0.git20120821-4) ...
Suppression de libprocps3:i386 (1:3.3.9-1ubuntu2.2) ...
Suppression de libqmi-glib0:i386 (1.4.0-1) ...
Suppression de libqpdf13:i386 (5.1.1-1) ...
Suppression de qt-at-spi:i386 (0.4.0-3) ...
Suppression de libqt4-dbus:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de qdbus (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libservlet3.0-java (7.0.68-1ubuntu0.1) ...
Suppression de libtar0 (1.2.20-4) ...
Suppression de libtext-soundex-perl (3.4-1build3) ...
Suppression de libts-0.0-0:i386 (1.0-12) ...
Suppression de libusageenvironment1 (2014.01.13-1) ...
Suppression de libwebkit2gtk-3.0-25:i386 (2.4.11-0ubuntu0.1) ...
Suppression de libx264-142:i386 (2:0.142.2389+git956c8d8-2) ...
Suppression de myspell-en-gb (1:5.1.0-1ubuntu2.2) ...
Suppression de myspell-en-za (1:5.1.0-1ubuntu2.2) ...
Suppression de mysql-common (5.7.13-0ubuntu0.16.04.2) ...
Suppression de python-ibus (1.5.5-1ubuntu3.2) ...
Suppression de qtchooser (52-gae5eeef-2build1~gcc5.2) ...
Suppression de tsconf (1.0-12) ...
Suppression de xfonts-mathml (6ubuntu1) ...
Suppression de libqtgui4:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libqt4-declarative:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libqt4-xmlpatterns:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libqt4-network:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libqt4-script:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libqt4-sql:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libqtdbus4:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libqt4-xml:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de libqtcore4:i386 (4:4.8.7+dfsg-5ubuntu2) ...
Suppression de qtcore4-l10n (4:4.8.7+dfsg-5ubuntu2) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu3) ...
Traitement des actions différées (« triggers ») pour fontconfig (2.11.94-0ubuntu1) ...
Paramétrage de initramfs-tools (0.122ubuntu8.1) ...
update-initramfs: deferring update (trigger activated)
Paramétrage de linux-image-extra-4.4.0-31-generic (4.4.0-31.50) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-31-generic /boot/vmlinuz-4.4.0-31-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-31-generic /boot/vmlinuz-4.4.0-31-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-31-generic /boot/vmlinuz-4.4.0-31-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-31-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-31-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: erreur de traitement du paquet linux-image-extra-4.4.0-31-generic (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic :
 linux-image-generic dépend de linux-image-extra-4.4.0-31-generic ; cependant :
 Le paquet linux-image-extra-4.4.0-31-generic n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-image-generic (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-generic :
 linux-generic dépend de linux-image-generic (= 4.4.0.31.33) ; cependant :
 Le paquet linux-image-generic n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-generic (--configure) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour initramfs-tools (0.122ubuntu8.1) ...
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                  Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                                                    update-initramfs: Generating /boot/initrd.img-4.4.0-31-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-31-generic with 1.
dpkg: erreur de traitement du paquet initramfs-tools (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-extra-4.4.0-31-generic
 linux-image-generic
 linux-generic
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #6 le: août 03, 2016, 18:14:28 »
Re,

Est-ce dangereux d'enlever manuellement les paquets qui semble obsolète dans boot ?

Citer
abi-3.11.0-19-generic         initrd.img-4.4.0-31-generic
abi-3.13.0-29-generic         lost+found
abi-3.13.0-30-generic         memtest86+.bin
abi-3.13.0-32-generic         memtest86+.elf
abi-3.13.0-35-generic         memtest86+_multiboot.bin
abi-4.4.0-31-generic          System.map-3.11.0-19-generic
config-3.11.0-19-generic      System.map-3.13.0-29-generic
config-3.13.0-29-generic      System.map-3.13.0-30-generic
config-3.13.0-30-generic      System.map-3.13.0-32-generic
config-3.13.0-32-generic      System.map-3.13.0-35-generic
config-3.13.0-35-generic      System.map-4.4.0-31-generic
config-4.4.0-31-generic       vmlinuz-3.11.0-19-generic
grub                          vmlinuz-3.13.0-29-generic
initrd.img-3.11.0-19-generic  vmlinuz-3.13.0-30-generic
initrd.img-3.13.0-29-generic  vmlinuz-3.13.0-32-generic
initrd.img-3.13.0-30-generic  vmlinuz-3.13.0-35-generic
initrd.img-3.13.0-32-generic  vmlinuz-4.4.0-31-generic
initrd.img-3.13.0-35-generic

à priori tous ceux non 4.4


Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #7 le: août 03, 2016, 18:20:04 »
Re,

Testé avec l'argument --purge pour conserver que les deux dernières version noyau, mais ça enlève pas plus ...

On va devoir agrandir la partition boot je pense.

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #8 le: août 03, 2016, 18:35:16 »
 :III

Bon merci xtrem, mais je m'en suis sorti avec ceci :
https://www.justegeek.fr/nettoyer-la-partition-boot-des-kernels-non-utilises-sous-ubuntu/

J'ai viré des vieux kernel que la précédente commande avait pas viré, et tout a fini de s'installer ;)

Il me reste plusieurs anciens kernels encore, donc au besoin, je peux encore faire du ménage

 :AAN

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #9 le: août 03, 2016, 21:49:56 »
J'arrive après la bataille.

Citer
Est-ce dangereux d'enlever manuellement les paquets qui semble obsolète dans boot ?

Oui.
Si tu as besoin de la faire à la main, tu ne supprimes que les anciennes versions du noyau (à par la version courante, sinon tu ne pourras pas redémarrer : uname -a)
- initrd
- SystemMap
- vmlinuz

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #10 le: août 04, 2016, 09:15:04 »
 :III Merci Igor quand même.

Oui, avec les liens trouvé j'ai compris le truc, c'est pas compliqué, mais c'est pas mes habitudes windowsiennes  ;D
Il est certain que comme pour windows, on trouve tout ce qu'il faut pour se dépêtrer sur le net ;)

J'ai viré des anciens kernel de plus de deux versions en arrière, donc normalement aucun souci ...
Mais je ne comprend pas pourquoi l'argument --purge n'a pas pris en compte ceux que j'ai viré, tant pis, je sais quoi faire la prochaine fois.



Autre souci, j'ai des déconnexion de wi-fi depuis la mise à niveau

J'ai donc tenté de mettre a jour le pilote réseau sans fil, et vu qu'on pouvait le faire comme ceci :
https://wiki.debian.org/fr/rt61pci

Mais ça me renvoi ceci en erreur :

Citer
maman@maslong-Aspire-T160:~$ sudo apt-get update && apt-get install firmware-ralink
Réception de:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [94,5 kB]
Atteint:2 http://fr.archive.ubuntu.com/ubuntu xenial InRelease     
Réception de:3 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease [95,7 kB]
Atteint:4 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease
Réception de:5 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [323 kB]
Réception de:6 http://fr.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [297 kB]
811 ko réceptionnés en 7s (115 ko/s)                                           
Lecture des listes de paquets... Fait
E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Avez-vous les privilèges du superutilisateur ?

sudo suffit pas ?
Faut faire comment ?
Et est-ce dangereux ? ( ;D je connais déjà la réponse, mais j'suis un deguin moi  :hi: )
« Modifié: août 04, 2016, 09:28:09 par hyunkel30 »

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #11 le: août 04, 2016, 09:52:05 »
Hello

Pour la suppression des noyau, il lui faut de la place car il appelle une commande (mkinitrd/dracut) qui regénère l'initrd. Donc tant que tu ne fais pas de place ça ne marchera pas.

Citer
sudo suffit pas ?
Si mais encore faut-il qu'il soit au bon endroit ;)

Le double esperluette n'est qu'un ET LOGIQUE. Il ne transmet pas le sudo.

Si ma_commande_ok alors je fais la suivante.

Hors ligne Tawal

  • Archives
  • Members
  • *
  • Messages: 953
  • Le savoir n'a d'intérêt que si on le transmet.
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #12 le: août 04, 2016, 10:56:52 »
Hello all :AAC

Sortie de la commande sudo apt-get update
Citer
Réception de:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [94,5 kB]
Atteint:2 http://fr.archive.ubuntu.com/ubuntu xenial InRelease     
Réception de:3 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease [95,7 kB]
Atteint:4 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease
Réception de:5 http://fr.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [323 kB]
Réception de:6 http://fr.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [297 kB]
811 ko réceptionnés en 7s (115 ko/s)                                           
Lecture des listes de paquets... Fait

&&

Sortie de la commande apt-get install firmware-ralink
Citer
E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Avez-vous les privilèges du superutilisateur ?

La "bonne" commande serait : sudo apt-get update && sudo ap-get install ... ;)

:AAN
Puisque la science n'est pas infuse, elle se diffuse !

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #13 le: août 04, 2016, 11:40:07 »
 ;D c'est bête et méchant ... merci

Mais de toute manière, le paquet n'existe pas/plus ...

Citer
maman@maslong-Aspire-T160:~$ sudo apt-get install firmware-ralink
[sudo] Mot de passe de maman :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet firmware-ralink

Bon la connexion marche en soit, je vais pas tenter le diable non plus ...
Juste qu'elle saute parfois, et faut redémarrer
« Modifié: août 04, 2016, 11:46:15 par hyunkel30 »

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #14 le: août 04, 2016, 12:32:59 »
Citer
igor51@dell:~% apt-cache search firmware-ralink
firmware-misc-nonfree - Binary firmware for various drivers in the Linux kernel


Commence par faire un "apt-cache search firmware-ralink" pour savoir dans quel paquet se trouve le binaire.
Sur une debian, c'est dans firmware-misc-nonfree je ne sais pas si c'est pareil sur ubuntu...

Après, sudo apt-get install firmware-misc-nonfree

Hors ligne Tawal

  • Archives
  • Members
  • *
  • Messages: 953
  • Le savoir n'a d'intérêt que si on le transmet.
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #15 le: août 04, 2016, 12:57:52 »
Sur une debian, c'est dans firmware-misc-nonfree je ne sais pas si c'est pareil sur ubuntu...

Pas sur une Debian oldstable  :EEE
tawal@YAGUL:~/Scripts$ apt-cache search firmware-ralink
firmware-ralink - Binary firmware for Ralink wireless cards
Puisque la science n'est pas infuse, elle se diffuse !

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #16 le: août 04, 2016, 14:50:55 »
 :NNN Et si ça renvoi rien la commande, c'est normal ?  :hi:

Ou c'est qu'il manque carrément ?

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #17 le: août 04, 2016, 14:56:54 »
Cela veut dire qu'il n'existe pas dans tes dépôts actuels. Il est pourtant sensé y être d'après: http://www.ubuntuupdates.org/package/core/xenial/main/proposed/linux-firmware

Regarde le contenu de ton fichier  /etc/apt/sources.list, il doit avoir au minimum ces lignes https://up.security-x.fr/file.php?h=Rc852d7486d948ebd677594e0c35a8b85

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #18 le: août 04, 2016, 16:17:17 »
Re,

Citer
# deb cdrom:[Xubuntu 13.10 _Saucy Salamander_ - Release i386 (20131016)]/ saucy main multiverse restricted universe

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ xenial main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ xenial universe
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ xenial multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu xenial-security main restricted
deb http://security.ubuntu.com/ubuntu xenial-security universe
deb http://security.ubuntu.com/ubuntu xenial-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu saucy partner
# deb-src http://archive.canonical.com/ubuntu saucy partner

à priori c'est ok.

Est-ce qu'il ne serait pas finalement souhaitable dans un premier temps, vu les souci lors de la mise à niveau, de tenter une réinstallation de la distrib ?
Voir après si c'est mieux ou pas ?

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #19 le: août 04, 2016, 16:32:49 »
Faudrait que j'apprenne à lire en fait....Le driver est présent depuis Ubuntu 15 quelque chose, sinon ça ne marcherait pas donc inutile de chercher pour les dépôts.

Le wifi qui saute ? C'est -à-dire ? après une mise en veille ?

La, il va falloir regarder dans les fichiers de logs. (dmesg, /var/log/messages, /var/log/syslog)
Pour la réinstalle, je ne sais pas, mais avant, tu peux p-e essayer un live cd de la même distribution pour voir si le problème est similaire.

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #20 le: août 04, 2016, 17:02:00 »
Re,

Oui, moi aussi je m'écarte maintenant du souci de pilote.

J'ai le wi-fi, la carte est détecté et je me connecte et navigue, mais subitement, en quelques minutes ou après une heure, c'est aléatoire, il perd la connexion, vois le réseau wi-fi mais ne peux plus s'y connecter.

En redémarrant ça revient ... jusqu'à ce que ça resaute.

Je pense donc plus à un souci avec mon service network-manager non ?

Je te sors les logs

dmesg
https://up.security-x.fr/file.php?h=R8da6fd5ff40ea130b3f1c61bfd733af9

var/log/messages : il existe pas chez moi ce répertoire
« Modifié: août 04, 2016, 17:05:55 par hyunkel30 »

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #21 le: août 04, 2016, 17:16:34 »
Re,

Le dernier /var/log/syslog
Je pense que je t'ai sélectionné le moment ou ça coupe :

https://up.security-x.fr/file.php?h=R085902d931b570c6121fb876e6971808

Tu vois, là depuis 15 min aucune coupure ...
« Modifié: août 04, 2016, 17:17:18 par hyunkel30 »

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #22 le: août 04, 2016, 17:37:31 »
 :NNN parlé trop vite

Le log exactement au début de la coupure :

https://up.security-x.fr/file.php?h=R97ff2bf458cbb2f763b9b9d5af4b5f29

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #23 le: août 04, 2016, 17:53:49 »
Ton problème est normalement corrigé depuis 2 ans. Bienvenue dans la régression.

Plusieurs solutions :

- tu changes de noyau pour revenir à un noyau fonctionnel (genre le précédant si toujours installé)
- tu peux tenter cette solutoin https://ubuntuforums.org/showthread.php?t=2204912&page=2&p=12927696#post12927696 (qui risque de prendre un peu de temps surtout si le pc n'est pas puissant)
- tu peux essayer celle-ci https://ubuntuforums.org/showthread.php?t=2204912&page=2&p=12927629#post12927629
- tu peux insulter les dev/mainteneurs de chez Ubuntu (ça sert à rien, mais ça détend)
- tu peux changer de distribution pour passer sur une plus responsable

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #24 le: août 04, 2016, 18:10:39 »
 :oups:

Heureusement que pour ce vieux PC familial je n'utilise volontairement que les noyaux stables et en LTS hein ...  ::)

Franchement j'en suis content d'habitude, stable, très rapide pour cette vieille config ...

'fin bref, je vais faire les manips ;)


Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #25 le: août 04, 2016, 18:34:04 »
 :III Re,

Bon, t'as raison c'est bien ce problème en cause, puisque ce script remet la connexion en route : (en l'ayant adapté à ma config donc)
sudo modprobe -rv rt61pci && sudo modprobe -v rt61pci nohwcrypt=Y

Mais ça tiens pas et elle repars après un certain temps

Je me vois mal laisser ce script à faire en permanence à mes parents, qui savent déjà pas faire grand chose sur un pc ...

Les autres manip avec le paquet backports donne des erreurs que j'arrive pas à résoudre, donc je peux pas faire la manip indiquée ...

Penses-tu que cela puisse avoir un lien avec la mise à niveau qui a eu des erreurs ou pas ?
Ou c'est réellement un pur souci lié à cette carte wi-fi et sa gestion par ce noyau ?

Puisque c'est bien lié à ce noyau donc :
Citer
filename:       /lib/modules/4.4.0-31-generic/kernel/drivers/net/wireless/rt2x00/rt61pci.ko
license:        GPL
firmware:       rt2661.bin
firmware:       rt2561s.bin
firmware:       rt2561.bin
description:    Ralink RT61 PCI & PCMCIA Wireless LAN driver.
version:        2.3.0
author:         http://rt2x00.serialmonkey.com
srcversion:     147116748700BC2C93D5888
alias:          pci:v00001814d00000401sv*sd*bc*sc*i*
alias:          pci:v00001814d00000302sv*sd*bc*sc*i*
alias:          pci:v00001814d00000301sv*sd*bc*sc*i*
depends:        rt2x00lib,rt2x00mmio,rt2x00pci,eeprom_93cx6,crc-itu-t
intree:         Y
vermagic:       4.4.0-31-generic SMP mod_unload modversions 686
parm:           nohwcrypt:Disable hardware encryption. (bool)
« Modifié: août 04, 2016, 18:36:59 par hyunkel30 »

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #26 le: août 04, 2016, 18:59:33 »
C'est un problème du noyau.

Si tu n'as pas encore essayé, tente de réinstaller un ancien noyau.

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #27 le: août 04, 2016, 19:02:03 »
 :AAG ouais on va revenir à l'ancienne LTS donc ...

Nawak ça ...

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #28 le: août 04, 2016, 19:12:36 »
Non tu rechanges juste de noyau, tu ne downgrades pas.

Noyau et version du système sont deux choses différentes.

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #29 le: août 04, 2016, 19:40:22 »
Re,

Quoi tu veux juste que je change le noyau sur lequel le pc se lance ?

ceux dans /boot ?

J'ai vu ça pendant mes lectures, mais faut que je retourne à la pêche au infos alors ...

Edit : c'est ça ?

Citer
sudo apt-get install linux-image-3.19.0-59-generic linux-headers-3.19.0-59
sudo apt-get remove linux-image-3.19.0-64-generic linux-headers-3.19.0-64
sudo update-grub

avec les bon numéros de noyau quoi, j'adapte ;)
« Modifié: août 04, 2016, 19:43:18 par hyunkel30 »

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #30 le: août 04, 2016, 19:53:02 »
uname -a te renvoie le noyau courant

ls /boot est "peuplé"

Citer
boot/
config-2.6.32-642.1.1.el6.x86_64  initramfs-2.6.32-642.1.1.el6.x86_64.img  symvers-2.6.32-642.el6.x86_64.gz      vmlinuz-2.6.32-642.3.1.el6.x86_64
config-2.6.32-642.3.1.el6.x86_64  initramfs-2.6.32-642.3.1.el6.x86_64.img  System.map-2.6.32-642.1.1.el6.x86_64  vmlinuz-2.6.32-642.el6.x86_64
config-2.6.32-642.el6.x86_64      initramfs-2.6.32-642.el6.x86_64.img      System.map-2.6.32-642.3.1.el6.x86_64
efi                               symvers-2.6.32-642.1.1.el6.x86_64.gz     System.map-2.6.32-642.el6.x86_64
grub                              symvers-2.6.32-642.3.1.el6.x86_64.gz     vmlinuz-2.6.32-642.1.1.el6.x86_64

Deux solutions dans ce cas :
- soit tu bootes manuellement sur un autre noyau, cad qu'au grub tu choisis une autre version (en te déplaçant avec les flèches)
- soit tu modifiles le fihcier dans /boot/grub pour le faire de manière définitive, sachant que si tu te loupes, tu ne pourras plus booter.

Dans un premier temps, si tu peux faire la première version, c'est mieux

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #31 le: août 04, 2016, 19:56:09 »
Re,

Depuis j'avais fait du nettoyage a cause de l'erreur d'espace donc :

Citer
abi-3.13.0-35-generic         memtest86+.bin
abi-4.4.0-31-generic          memtest86+.elf
config-3.13.0-35-generic      memtest86+_multiboot.bin
config-4.4.0-31-generic       System.map-3.13.0-35-generic
grub                          System.map-4.4.0-31-generic
initrd.img-3.13.0-35-generic  vmlinuz-3.13.0-35-generic
initrd.img-4.4.0-31-generic   vmlinuz-4.4.0-31-generic
lost+found

 :NNN y'a moins de choix mais j'ai toujours l'ancien noyau 3.13.0-35

Bon je finis quand même ma gravure de liveCD en cas de souci je pourrais toujours m'aider de lui pour booter et remodifier grub ;)

 :AAN
« Modifié: août 04, 2016, 19:58:08 par hyunkel30 »

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #32 le: août 04, 2016, 20:02:52 »

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #33 le: août 04, 2016, 20:19:42 »
Re,

Bon, pas de soucis, avec l'ancien noyau, je vais attendre voir pour le wi-fi

Mais l'affichage est horrible  ;D
Faudra que je règle ça ...

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #34 le: août 04, 2016, 20:25:57 »
Ha mais mon bon monsieur, soit on a un affichage correct, soit le wifi, il faut savoir faire des sacrifices ;)

Blague à part, c'est surtout pour valider le fait que ce soit le noyau courant qui merdouille.
On trouvera une solution plus viable ;)

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #35 le: août 04, 2016, 21:17:11 »
Re,

 ;D ça c'est moins grave, toute manière mes parents verront pas la différence je suis sur  :NNN

Bon le wi-fi semble plus couper, donc on est bon, je vais quand même encore attendre un peu.

Après faut modifier le fichier grub donc

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #36 le: août 04, 2016, 21:59:32 »
 :red: voilà, fausse joie ...

Le wi-fi a planté de nouveau

Bon, je suis un peu démuni là, le souci c'est que j'ai plus le temps de grand chose, car je devais partir demain matin ...

Je me tenterais bien de tester le liveDVD de la 16.04 pour voir si le souci apparaît aussi ou pas, j'ai toujours un doute vis a vis de cette mise a niveau qui a foiré ...

Si c'est pareil je teste le liveDVD de la 14.04 que j'avais, le plus ancien, si ok, alors tant pis je reinstalle tout, au moins ce sera fonctionnel ...

ça me gonfle, tout marchait si bien ...

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #37 le: août 05, 2016, 11:15:50 »
 :hi: Voilà, si j'avais était un tant soit peu intelligent, j'aurais fais comme aujourd'hui

J'aurais testé 16.04 en liveDVD, vu que le wi-fi était détecté mais impossible de se connecté, et j'aurais pas fais la mise à niveau ...

Je pense donc que je vais en finir par une réinstallation du 14.04, et point, au moins je me prendrais pas la tête.

Faut juste que je ramène un DD pour sauver mon /home au cas où et je ferais ça.

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #38 le: août 05, 2016, 13:32:30 »
Hahah :)

Change de distribution !

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #39 le: août 05, 2016, 14:35:25 »
Je ne sais pas pourquoi, mais j'ai pensé à toi en lisant ça https://www.nextinpact.com/news/100901-ubuntu-14-04-5-ameliore-detection-materiel.htm

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #40 le: août 05, 2016, 15:15:27 »
 :hi: méchant ...

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #41 le: août 07, 2016, 14:44:26 »
 :) Re,

Bon ben voilà, réinstallation via liveDVD de 14.04LTS, avec conservation du home.

Tout est redevenu fonctionnel, connexion ok, et plus fluide d'ailleurs.

On attendra pour la mise à niveau, j'ai jusqu'en 2019 de toute manière  ;D

Hors ligne igor51

  • Admin
  • Mega Power Members
  • *****
  • Messages: 10275
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #42 le: août 07, 2016, 17:59:41 »
Hello

Cela fait un long moment que je ne suis plus les versions d'ubuntu, mais il me semble qu'il y a toujours 2 sorties.

La première donc ici la 16.04 et quelques moins plus tard, la 16.04.01. La plupart des entreprises qui utilisent cette version attendent la sortie 01 (voir les suivantes) pour être sûre qu'il n'y a plus (trop) de bug.
On retrouve la même chose pour Redhat.

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #43 le: août 07, 2016, 21:13:47 »
Re,

Tu as tout a fait raison, les LTS sont des versions XX.04.XX
Par exemple la 16.04 était la 16.04.01 LTS

Elle n'a été proposée en mise a niveau qu'il y a une semaine  ;)

Mais a priori c'est pas pour cela qu'elle fonctionne pour moi  :NNN

Pour l'utilité du pc de mes parents, je reste sur la 14.04 LTS, y'a aucun souci.

Hors ligne hyunkel30

  • Admin Formation
  • Mega Power Members
  • ****
  • Messages: 21901
  • Le monde est devenu fou ...
Re : Erreur suite à mise à niveau Xubuntu
« Réponse #44 le: août 20, 2016, 12:36:10 »
 :NNN Re

Vous voulez le plus drole ...

Mise à jour de sécurité hier ... et pendant le déroulement, je vois des mises à jour de paquet .... et l'installation d'un nouveau noyau ...
Horreur, je me dis qu'il va falloir tout trafiquer encore ...

He ben non  ;D

Citer
maman@maman-Aspire-T160:~$ uname -a
Linux maman-Aspire-T160 4.4.0-34-generic #53~14.04.1-Ubuntu SMP Wed Jul 27 16:54:30 UTC 2016 i686 athlon i686 GNU/Linux

Nouveau noyau, et pas de souci de wi-fi déconnecté ...
z'ont du trouver le bug ...

 :hi:


Tags: